/**Begin D:\PDM_UPGRADE\PDM1\HRPTMC_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HRPTMC_ANALYSISOBJECT' AND KSQL_COL_NAME ='FQUERYSCHEME') 
 ALTER TABLE T_HRPTMC_ANALYSISOBJECT ADD (FQUERYSCHEME VARCHAR(2) DEFAULT '0' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPTMC_SYNCPOLICY') 
 CREATE TABLE T_HRPTMC_SYNCPOLICY (
FID BIGINT DEFAULT 0 NOT NULL,
FANOBJID BIGINT DEFAULT 0 NOT NULL,
FISSTORE CHAR(1) DEFAULT '0' NOT NULL,
FSYNCSTYLE VARCHAR(20) DEFAULT 'full' NOT NULL,
FFREQUENCY VARCHAR(20) DEFAULT 'timing' NOT NULL,
FSYNCTIME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDEPENDFIELD VARCHAR(300) DEFAULT ' ' NOT NULL
);

/**End D:\PDM_UPGRADE\PDM1\HRPTMC_table.sql **/
